WPA_SUPPLICANT(8)

NAME
wpa_supplicant - WPA/802.11i Supplicant for wireless network devices

SYNOPSIS
wpa_supplicant [-BdehLqsvw] -i ifname -c config-file

DESCRIPTION
The wpa_supplicant utility is an implementation of the WPA Supplicant component, i.e., the part that runs in the client stations. It implements WPA key negotiation with a WPA Authenticator and EAP authentication with an Authentication Server. In addition, wpa_supplicant controls the roaming and IEEE 802.11 authentication/association support of the wlan(4) module and can be used to configure static WEP keys based on identified networks.

The wpa_supplicant utility is designed to be a “daemon” program that runs in the background and acts as the backend component controlling the wireless connection. It supports separate frontend programs such as the text-based wpa_cli(8) program.

The following arguments must be specified on the command line:

-i ifname
    Use the specified wireless interface.

-c config-file
    Use the settings in the specified configuration file when managing the wireless interface. See wpa_supplicant.conf(5) for a description of the configuration file syntax and contents.

    Changes to the configuration file can be reloaded by sending a SIGHUP to the wpa_supplicant process or with the wpa_cli(8) utility, using “wpa_cli reconfigure”.

OPTIONS
The following options are available:

-d  Enable debugging messages. If this option is supplied twice, more verbose messages are displayed.

-e  Use an external IEEE 802.1X Supplicant program and disable the internal Supplicant. This option is not normally used.

-h  Show help text.

-q  Decrease debugging verbosity (i.e., counteract the use of the -d flag).

-s  Send log messages through syslog(3) instead of to the terminal.

-v  Display version information on the terminal and exit.

-w  If the specified interface is not present, wait for it to be added; e.g. a cardbus device to be inserted. This option is not normally used; instead, devd(8) should be configured to launch wpa_supplicant when a device is created.

-B  Detach from the controlling terminal and run as a daemon process in the background.

-K  Include key information in debugging output.

-L  Display the license for this program on the terminal and exit.

SEE ALSO
an(4), ath(4), ipw(4), iwi(4), ral(4), rum(4), ural(4), wi(4), wlan(4), wpi(4), zyd(4), wpa_supplicant.conf(5), devd(8), ifconfig(8), wpa_cli(8)

HISTORY
The wpa_supplicant utility first appeared in FreeBSD 6.0.

AUTHORS
The wpa_supplicant utility was written by Jouni Malinen <j@w1.fi>. This manual page is derived from the README file included in the wpa_supplicant distribution.